package apk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type AddApkRequest struct {
	*requests.RpcRequest
	List string `position:"Body" field:"list" default:"[]" `
}

type AddApkResponse struct {
	*responses.BaseResponse
	Code   int    `json:"code"`
	Status bool   `json:"status"`
	Msg    string `json:"msg"`
	Data   struct {
		Count int `json:"count"`
	} `json:"data"`
}

func CreateAddApkRequest() (req *AddApkRequest) {
	req = &AddApkRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/apk/add")
	req.Method = requests.POST
	return
}

func CreateAddApkResponse() (response *AddApkResponse) {
	response = &AddApkResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
