package apk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type RefreshApkRequest struct {
	*requests.RpcRequest
	cdnUrls     string `position:"Body" field:"cdn_urls" default:"[]" `
	CdnUrlArray []string
}

type RefreshApkResponse struct {
	*responses.BaseResponse
	Code   int               `json:"code"`
	Status bool              `json:"status"`
	Msg    string            `json:"msg"`
	Data   map[string]string `json:"data"`
}

func CreateRefreshApkRequest() (req *RefreshApkRequest) {
	req = &RefreshApkRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/apk/refresh")
	req.Method = requests.POST
	return
}

func CreateRefreshApkResponse() (response *RefreshApkResponse) {
	response = &RefreshApkResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
