package apk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
	"time"
)

type SearchApkRequest struct {
	*requests.RpcRequest
	StartTime string `position:"Body" field:"startTime" default:"" `
	EndTime   string `position:"Body" field:"endTime" default:"" `
	State     string `position:"Body" field:"state" default:"" `
	SiteIds   string `position:"Body" field:"siteIds" default:"" `
	Ver       string `position:"Body" field:"ver" default:"" `
	SiteId    int    `position:"Body" field:"siteId" default:"" `
	AgentId   int    `position:"Body" field:"agentId" default:"" `
	Top       int    `position:"Body" field:"top" default:"" `
	GameIds   string `position:"Body" field:"gameIds" default:"" `
	Autor     string `position:"Body" field:"autor" default:"" `
	Page      int    `position:"Body" field:"page" default:"1" `
	Pagesize  int    `position:"Body" field:"pagesize" default:"20" `
	Order     string `position:"Body" field:"order" default:"" `
}

type ApkLog struct {
	ID          int       `json:"Id"`
	GameID      int       `json:"GameId"`
	GameName    string    `json:"GameName"`
	Ver         string    `json:"Ver"`
	Top         int       `json:"Top"`
	AgentID     int       `json:"AgentId"`
	SiteID      int       `json:"SiteId"`
	Addtime     time.Time `json:"Addtime"`
	Edittime    time.Time `json:"Edittime"`
	State       int       `json:"State"`
	Times       int       `json:"Times"`
	ReleaseTime int       `json:"ReleaseTime"`
	Env         int       `json:"Env"`
	AliOss      int       `json:"AliOss"`
	NeedCdn     bool      `json:"NeedCdn"`
	Autor       string    `json:"Autor"`
	Ext         string    `json:"Ext"`
	IsAugment   bool      `json:"IsAugment"`
}

type SearchApkResponse struct {
	*responses.BaseResponse
	Code   int    `json:"code"`
	Status bool   `json:"status"`
	Msg    string `json:"msg"`
	Data   struct {
		Page     int      `json:"Page"`
		PageSize int      `json:"PageSize"`
		Total    int      `json:"Total"`
		List     []ApkLog `json:"List"`
	} `json:"data"`
}

func CreateSearchApkRequest() (req *SearchApkRequest) {
	req = &SearchApkRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/apk/list")
	req.Method = requests.POST
	return
}

func CreateSearchApkResponse() (response *SearchApkResponse) {
	response = &SearchApkResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
