package callback

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

const OS_ANDROID = 2

const OS_IOS = 1

type SendActionRequest struct {
	*requests.RpcRequest
	GameId      int64  `position:"Query" field:"game_id" default:"" `
	AgentId     int64  `position:"Query" field:"agent_id" default:"" `
	SiteId      int64  `position:"Query" field:"site_id" default:"" `
	Imei        string `position:"Query" field:"imei" default:"" `
	Oaid        string `position:"Query" field:"oaid" default:"" `
	Ip          string `position:"Query" field:"ip" default:"" `
	Ua          string `position:"Query" field:"ua" default:"" `
	Os          int    `position:"Query" field:"os" default:"" `
	ParamsArray []string
}

type SendActionResponseData struct {
	Account string `json:"account"`
	Total   int    `json:"total"`
}

type SendActionResponse struct {
	*responses.BaseResponse
	Data SendActionResponseData `json:"data"`
}

func CreateSendActionRequest() (req *SendActionRequest) {
	req = &SendActionRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/callback/ads_callback/sendAction")
	req.Method = requests.GET
	return
}

func CreateSendActionResponse() (response *SendActionResponse) {
	response = &SendActionResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
