package capk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type TaskCreateRequest struct {
	*requests.JsonRequest
	GameId      int    `position:"Json" field:"game_id"`
	GameVersion string `position:"Json" field:"game_version"`
	Config      string `position:"Json" field:"config"`
	Env         int    `position:"Json" field:"env"`
}

type TaskCreateResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		TaskId string `json:"task_id"`
	} `json:"data"`
}

func CreateTaskCreateRequest() (req *TaskCreateRequest) {
	req = &TaskCreateRequest{
		JsonRequest: &requests.JsonRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/pack/task/create")
	return
}

func CreateTaskCreateResponse() (resp *TaskCreateResponse) {
	resp = &TaskCreateResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
