package game

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ChannelInfoReq struct {
	*requests.RpcRequest
	ChannelId  int64  `position:"Body" field:"channelId"`
	ChannelKey string `position:"Body" field:"channelKey"`
}

type ChannelInfoResp struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data map[int64]struct {
		Id             int64  `json:"id"`
		PlatKey        string `json:"plat_key"`
		PlatName       string `json:"plat_name"`
		PlatCompany    string `json:"plat_company"`
		PlatUrl        string `json:"plat_url"`
		Company        string `json:"company"`
		PlatCategoryId int64  `json:"plat_category_id"`
		CategoryName   string `json:"category_name"`
	} `json:"data"`
}

func CreateChannelInfoReq() *ChannelInfoReq {
	req := &ChannelInfoReq{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/channel/getChannelInfo")
	return req
}

func CreateChannelInfoResp() *ChannelInfoResp {
	resp := &ChannelInfoResp{
		BaseResponse: &responses.BaseResponse{},
	}
	return resp
}
