package game

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
)

const (
	VERSION = "2025-04-27"
)

var HOST = requests.Host{
	Default: "game",
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client, err error) {
	client = new(Client)
	err = client.Init()
	return
}

// GetGameOsInfo 获取游戏系统信息
func (c *Client) GetGameOsInfo(req *GetGameOsInfoReq) (resp *GetGameOsInfoResp, err error) {
	resp = CreateGetGameOsInfoResp()
	err = c.DoAction(req, resp)
	return
}

// GetGameInfo 获取游戏信息
func (c *Client) GetGameInfo(req *GetGameInfoReq) (resp *GetGameInfoResp, err error) {
	resp = CreateGetGameInfoByIdResp()
	err = c.DoAction(req, resp)
	return
}

func (c *Client) GetChannelInfo(req *ChannelInfoReq) (resp *ChannelInfoResp, err error) {
	resp = CreateChannelInfoResp()
	err = c.DoAction(req, resp)
	return
}

func (c *Client) GetLoginInfoById(req *GetLoginInfoByIdReq) (resp *GetLoginInfoByIdResp, err error) {
	resp = CreateGetLoginInfoByIdResp()
	err = c.DoAction(req, resp)
	return
}

func (c *Client) GetProtocolByGameId(req *GetProtocolByGameIdRep) (resp *GetProtocolByGameIdResp, err error) {
	resp = CreateGetProtocolByGameIdResp()
	err = c.DoAction(req, resp)
	return
}
