package game

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type GetProtocolByGameIdRep struct {
	*requests.RpcRequest
	GameId      int    `position:"Query" field:"game_id"`
	GameVersion string `position:"Query" field:"game_version"`
	Type        int    `position:"Query" field:"type"`
}

type GetProtocolByGameIdResp struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		Content string `json:"content"`
	} `json:"data"`
}

func CreateGetProtocolByGameIdRep() *GetProtocolByGameIdRep {
	req := &GetProtocolByGameIdRep{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/news/getProtocolByGameId")
	req.Method = requests.GET
	return req
}

func CreateGetProtocolByGameIdResp() *GetProtocolByGameIdResp {
	return &GetProtocolByGameIdResp{
		BaseResponse: &responses.BaseResponse{},
	}
}
