package mail

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type PostEmailRequest struct {
	*requests.RpcRequest
	Addresses string `position:"Body" field:"addresses" default:"" `
	Subject   string `position:"Body" field:"subject" default:"" `
	Body      string `position:"Body" field:"body" default:""`
	FromName  string `position:"Body" field:"fromName" default:""`
	Time      int    `position:"Body" field:"time" default:""`
	Sign      string `position:"Body" field:"sign" default:""`
}

type PostEmailResponse struct {
	*responses.BaseResponse
}

func CreatePostEmailRequest() (req *PostEmailRequest) {
	req = &PostEmailRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/email/post_email.php")
	req.Method = requests.POST
	return
}

func CreatePostEmailResponse() (response *PostEmailResponse) {
	response = &PostEmailResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
