package mkt

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
)

const (
	VERSION = "2020-11-16"
)

var HOST = requests.Host{
	Default: "mkt",
}

type Client struct {
	sdk.Client
}

// PkgNotice 打包通知
func (c *Client) PkgNotice(req *PkgNoticeRequest) (response *PkgNoticeResponse, err error) {
	response = CreatePkgNoticeResponse()
	err = c.DoAction(req, response)
	return
}

func NewClientWithAccessKey(accesskey, secrect, source string) (client *Client, err error) {
	client = &Client{}
	err = client.InitWithAccessKey(accesskey, secrect, source)
	return
}

func NewClient() (client *Client, err error) {
	client = new(Client)
	err = client.Init()
	return
}

func (c *Client) SubjectList(req *SubjectListRequest) (response *SubjectListResponse, err error) {
	response = CreateSubjectListResponse()
	err = c.DoAction(req, response)
	return
}
