package mkt

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

//PkgNoticeRequest 打包通知请求信息
type PkgNoticeRequest struct {
	*requests.RpcRequest
	SiteID int64 `position:"Body" field:"site_id"` // 广告位ID
	Status int   `position:"Body" field:"status"`  // 打包状态(0：失败 1：成功)
}

//PkgNoticeResponse 打包通知响应信息
type PkgNoticeResponse struct {
	*responses.BaseResponse
}

//CreatePkgNoticeRequest 创建通知接口
func CreatePkgNoticeRequest() (req *PkgNoticeRequest) {
	req = &PkgNoticeRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/game/pkgnotice")
	req.Method = requests.POST
	return
}

//CreatePkgNoticeResponse 创建通知响应
func CreatePkgNoticeResponse() (response *PkgNoticeResponse) {
	response = &PkgNoticeResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
