package oss

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
	"time"
)

type GetApkVersionRequest struct {
	*requests.JsonRequest
	Filepath string `position:"Json" field:"filepath"`
}

type GetApkVersionResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		VersionCode      string `json:"versionCode"`
		VersionName      string `json:"versionName"`
		MinSdkVersion    string `json:"minSdkVersion"`
		TargetSdkVersion string `json:"targetSdkVersion"`
	} `json:"data"`
}

func CreateGetApkVersionRequest() (req *GetApkVersionRequest) {
	req = &GetApkVersionRequest{
		JsonRequest: &requests.JsonRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/apk/version")
	req.Method = requests.POST
	req.SetReadTimeout(30 * time.Second)
	return
}

func CreateGetApkVersionResponse() *GetApkVersionResponse {
	return &GetApkVersionResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
