package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ComplaintCompleteRequest struct {
	*requests.RpcRequest
	MchId       string `position:"Body" field:"mch_id" default:"" `
	ComplaintId string `position:"Body" field:"complaint_id" default:"" `
	ExtData     string `position:"Body" field:"ext_data" default:"" `
}

type ComplaintCompleteResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
}

func CreateComplaintCompleteRequest() (req *ComplaintCompleteRequest) {
	req = &ComplaintCompleteRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/complaint/complete")
	req.Method = requests.POST
	return
}

func CreateComplaintCompleteResponse() (response *ComplaintCompleteResponse) {
	response = &ComplaintCompleteResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
