package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ComplaintReplyRequest struct {
	*requests.RpcRequest
	MchId       string `position:"Body" field:"mch_id" default:"" `
	ComplaintId string `position:"Body" field:"complaint_id" default:"" `
	Content     string `position:"Body" field:"content" default:"" `
	Images      string `position:"Body" field:"images" default:"" `
}

type ComplaintReplyResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
}

func CreateComplaintReplyRequest() (req *ComplaintReplyRequest) {
	req = &ComplaintReplyRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/complaint/reply")
	req.Method = requests.POST
	return
}

func CreateComplaintReplyResponse() (response *ComplaintReplyResponse) {
	response = &ComplaintReplyResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
