package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ComplaintUploadRequest struct {
	*requests.RpcRequest
	MchId       string `position:"Body" field:"mch_id" default:"" `
	ImageUrl    string `position:"Body" field:"image_url" default:"" `
	ComplaintId string `position:"Body" field:"complaint_id" default:" " `
}

type ComplaintUploadResponse struct {
	*responses.BaseResponse
	Code int               `json:"code"`
	Msg  string            `json:"msg"`
	Data map[string]string `json:"data"`
}

func CreateComplaintUploadRequest() (req *ComplaintUploadRequest) {
	req = &ComplaintUploadRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/complaint/imageUpload")
	req.Method = requests.POST
	return
}

func CreateComplaintUploadResponse() (response *ComplaintUploadResponse) {
	response = &ComplaintUploadResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
