package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type GetOrderStateRequest struct {
	*requests.RpcRequest
	OrderId string `position:"Body" field:"orderid" default:"" `
}

type GetOrderStateResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		Orderid  string `json:"orderid"`   // 订单号
		Succ     string `json:"succ"`      // 是否成功
		Money    string `json:"money"`     // 支付金额
		UserName string `json:"user_name"` // 用户名
		BNum     string `json:"b_num"`
		GameId   string `json:"game_id"`   // 游戏id
		PayDate  string `json:"pay_date"`  // 付费日期
		SyncDate string `json:"sync_date"` // 回调时间
	} `json:"data"`
}

func CreateGetOrderStateRequest(orderId string) (req *GetOrderStateRequest) {
	req = &GetOrderStateRequest{
		RpcRequest: &requests.RpcRequest{},
		OrderId:    orderId,
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/user/getOrderState")
	req.Method = requests.POST
	return
}

func CreateGetOrderStateResponse() (response *GetOrderStateResponse) {
	response = &GetOrderStateResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
