package script

import (
	"encoding/json"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type OpenGameReq struct {
	*requests.RpcRequest
	GameID int `position:"Query" field:"game_id"`
}

type OpenGameResp struct {
	*responses.BaseResponse
}

// GetHttpContentBytes 因为http://script.gaore.com/open_game.php?game_id=这个接口返回的不是json，反序列化会报错，所以返回一个固定的json
func (baseResponse *OpenGameResp) GetHttpContentBytes() []byte {
	b, _ := json.Marshal(map[string]interface{}{"code": 200, "msg": "success"})
	return b
}

// CreateOpenGameReq 创建同步到游戏中心请求
func CreateOpenGameReq(gameId int) *OpenGameReq {
	req := &OpenGameReq{
		&requests.RpcRequest{},
		gameId,
	}

	req.InitWithApiInfo(HOST, VERSION, "open_game.php")
	req.Method = requests.GET

	return req
}

// CreateOpenGameResp 创建同步到游戏中心响应
func CreateOpenGameResp() *OpenGameResp {
	return &OpenGameResp{
		BaseResponse: &responses.BaseResponse{},
	}
}
