package sms

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type SendEmailRequest struct {
	*requests.JsonRequest
	Addresses []string `position:"Json" field:"addresses"`
	Subject   string   `position:"Json" field:"subject"`
	Body      string   `position:"Json" field:"body"`
	FromName  string   `position:"Json" field:"from_name"`
}

type SendEmailResponse struct {
	*responses.BaseResponse
}

type SendEmailParam struct {
	Addresses []string
	Subject   string
	Body      string
	FromName  string
}

func CreateSendEmailRequest(param SendEmailParam) (req *SendEmailRequest) {
	req = &SendEmailRequest{
		JsonRequest: &requests.JsonRequest{},
		Addresses:   param.Addresses,
		Subject:     param.Subject,
		Body:        param.Body,
		FromName:    param.FromName,
	}
	req.InitWithApiInfo(HOST, VERSION, "/v1/email/send")
	req.Method = requests.POST
	return
}

func CreateSendEmailResponse() (resp *SendEmailResponse) {
	resp = &SendEmailResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
